Bug 75387 - DMA can't be set on (IDE) DVD players
DMA can't be set on (IDE) DVD players
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-07 18:46 EDT by rmhristev
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-07 18:46:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmhristev 2002-10-07 18:46:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
DMA cannot be set to "on" (with hdparm) on DVD players.
DMA capable CD-ROMs may also be affected.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. assuming /dev/hdc as the DVD unit
2. hdparm -d1 /dev/hdc

	

Actual Results:  ~# hdparm -d1 /dev/hdc
/dev/hdc:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)

Expected Results:  ~# hdparm -d1 /dev/hdc
/dev/hdc:
 setting using_dma to 1 (on)
 using_dma    =  1 (on)


Additional info:

It used to work under RedHat 7.3

Workaround: upgrade the kernel to 2.4.19

Notes: DMA off leads to jerky playback and system responsivness
Comment 1 Arjan van de Ven 2002-10-08 04:21:36 EDT
From the release notes:

     o DMA is disabled on CD-ROM drives in this release in a different but
       more reliable way than previously. If you are sure that your CD-ROM
       drive is capable of IDE DMA, place the following line in the
       /etc/modules.conf file:

       options ide-cd dma=1

Note You need to log in before you can comment on or make changes to this bug.